<?php

/**
 This project has been generated by nuts generator
 nuts has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 */


namespace Model;
use Base\BaseModel;
use Handler\DataValidationException;

class FamilyModel extends BaseModel
{
    protected $table="family";

    protected $aliasTable="fmly";

    	protected $primaryKey="id";
	protected $fillable=["createdAt","currentBalance","email","familyName","owner","status","updatedAt"];

    

    		public function beforeEnterIntoDatabase(){
			if(empty($this->familyName)){
			throw new DataValidationException("familyName cannot be null");
		}
if(empty($this->owner)){
			throw new DataValidationException("owner cannot be null");
		}
		return $this;
}
}